diff --git a/net/mailimporter/pkg-plist b/net/mailimporter/pkg-plist
index 56c3b5c67143..54d97a020408 100644
--- a/net/mailimporter/pkg-plist
+++ b/net/mailimporter/pkg-plist
@@ -1,154 +1,153 @@
-include/KPim5/MailImporter/MailImporter/FilterBalsa
-include/KPim5/MailImporter/MailImporter/FilterClawsMail
-include/KPim5/MailImporter/MailImporter/FilterEvolution
-include/KPim5/MailImporter/MailImporter/FilterEvolution_v2
-include/KPim5/MailImporter/MailImporter/FilterEvolution_v3
-include/KPim5/MailImporter/MailImporter/FilterIcedove
-include/KPim5/MailImporter/MailImporter/FilterImporterBase
-include/KPim5/MailImporter/MailImporter/FilterInfo
-include/KPim5/MailImporter/MailImporter/FilterInfoGui
-include/KPim5/MailImporter/MailImporter/FilterKMailArchive
-include/KPim5/MailImporter/MailImporter/FilterKMail_maildir
-include/KPim5/MailImporter/MailImporter/FilterLNotes
-include/KPim5/MailImporter/MailImporter/FilterMBox
-include/KPim5/MailImporter/MailImporter/FilterMailApp
-include/KPim5/MailImporter/MailImporter/FilterMailmanGzip
-include/KPim5/MailImporter/MailImporter/FilterOE
-include/KPim5/MailImporter/MailImporter/FilterOpera
-include/KPim5/MailImporter/MailImporter/FilterPMail
-include/KPim5/MailImporter/MailImporter/FilterPlain
-include/KPim5/MailImporter/MailImporter/FilterSeaMonkey
-include/KPim5/MailImporter/MailImporter/FilterSylpheed
-include/KPim5/MailImporter/MailImporter/FilterTheBat
-include/KPim5/MailImporter/MailImporter/FilterThunderbird
-include/KPim5/MailImporter/MailImporter/Filters
-include/KPim5/MailImporter/MailImporter/ImportMailsWidget
-include/KPim5/MailImporter/MailImporter/MailImporter_Utils
-include/KPim5/MailImporter/MailImporter/MessageStatus
-include/KPim5/MailImporter/MailImporter/OtherMailerUtil
-include/KPim5/MailImporter/mailimporter/filterbalsa.h
-include/KPim5/MailImporter/mailimporter/filterclawsmail.h
-include/KPim5/MailImporter/mailimporter/filterevolution.h
-include/KPim5/MailImporter/mailimporter/filterevolution_v2.h
-include/KPim5/MailImporter/mailimporter/filterevolution_v3.h
-include/KPim5/MailImporter/mailimporter/filtericedove.h
-include/KPim5/MailImporter/mailimporter/filterimporterbase.h
-include/KPim5/MailImporter/mailimporter/filterinfo.h
-include/KPim5/MailImporter/mailimporter/filterinfogui.h
-include/KPim5/MailImporter/mailimporter/filterkmail_maildir.h
-include/KPim5/MailImporter/mailimporter/filterkmailarchive.h
-include/KPim5/MailImporter/mailimporter/filterlnotes.h
-include/KPim5/MailImporter/mailimporter/filtermailapp.h
-include/KPim5/MailImporter/mailimporter/filtermailmangzip.h
-include/KPim5/MailImporter/mailimporter/filtermbox.h
-include/KPim5/MailImporter/mailimporter/filteroe.h
-include/KPim5/MailImporter/mailimporter/filteropera.h
-include/KPim5/MailImporter/mailimporter/filterplain.h
-include/KPim5/MailImporter/mailimporter/filterpmail.h
-include/KPim5/MailImporter/mailimporter/filters.h
-include/KPim5/MailImporter/mailimporter/filterseamonkey.h
-include/KPim5/MailImporter/mailimporter/filtersylpheed.h
-include/KPim5/MailImporter/mailimporter/filterthebat.h
-include/KPim5/MailImporter/mailimporter/filterthunderbird.h
-include/KPim5/MailImporter/mailimporter/importmailswidget.h
-include/KPim5/MailImporter/mailimporter/mailimporter_export.h
-include/KPim5/MailImporter/mailimporter/mailimporter_utils.h
-include/KPim5/MailImporter/mailimporter/messagestatus.h
-include/KPim5/MailImporter/mailimporter/othermailerutil.h
-include/KPim5/MailImporter/mailimporter_version.h
-include/KPim5/MailImporterAkonadi/MailImporterAkonadi/FilterImporterAkonadi
-include/KPim5/MailImporterAkonadi/mailimporterakonadi/filterimporterakonadi.h
-include/KPim5/MailImporterAkonadi/mailimporterakonadi/mailimporterakonadi_export.h
-include/KPim5/MailImporterAkonadi/mailimporterakonadi_version.h
-lib/cmake/KPim5MailImporter/KPim5MailImporterConfig.cmake
-lib/cmake/KPim5MailImporter/KPim5MailImporterConfigVersion.cmake
-lib/cmake/KPim5MailImporter/KPim5MailImporterTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5MailImporter/KPim5MailImporterTargets.cmake
-lib/cmake/KPim5MailImporterAkonadi/KPim5MailImporterAkonadiConfig.cmake
-lib/cmake/KPim5MailImporterAkonadi/KPim5MailImporterAkonadiConfigVersion.cmake
-lib/cmake/KPim5MailImporterAkonadi/KPim5MailImporterAkonadiTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5MailImporterAkonadi/KPim5MailImporterAkonadiTargets.cmake
-lib/libKPim5MailImporter.so
-lib/libKPim5MailImporter.so.5
-lib/libKPim5MailImporter.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5MailImporterAkonadi.so
-lib/libKPim5MailImporterAkonadi.so.5
-lib/libKPim5MailImporterAkonadi.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_MailImporter.pri
-%%QT_MKSPECDIR%%/modules/qt_MailImporterAkonadi.pri
-share/locale/af/LC_MESSAGES/libmailimporter.mo
-share/locale/ar/LC_MESSAGES/libmailimporter.mo
-share/locale/be/LC_MESSAGES/libmailimporter.mo
-share/locale/bg/LC_MESSAGES/libmailimporter.mo
-share/locale/br/LC_MESSAGES/libmailimporter.mo
-share/locale/bs/LC_MESSAGES/libmailimporter.mo
-share/locale/ca/LC_MESSAGES/libmailimporter.mo
-share/locale/ca@valencia/LC_MESSAGES/libmailimporter.mo
-share/locale/cs/LC_MESSAGES/libmailimporter.mo
-share/locale/cy/LC_MESSAGES/libmailimporter.mo
-share/locale/da/LC_MESSAGES/libmailimporter.mo
-share/locale/de/LC_MESSAGES/libmailimporter.mo
-share/locale/el/LC_MESSAGES/libmailimporter.mo
-share/locale/en_GB/LC_MESSAGES/libmailimporter.mo
-share/locale/eo/LC_MESSAGES/libmailimporter.mo
-share/locale/es/LC_MESSAGES/libmailimporter.mo
-share/locale/et/LC_MESSAGES/libmailimporter.mo
-share/locale/eu/LC_MESSAGES/libmailimporter.mo
-share/locale/fa/LC_MESSAGES/libmailimporter.mo
-share/locale/fi/LC_MESSAGES/libmailimporter.mo
-share/locale/fr/LC_MESSAGES/libmailimporter.mo
-share/locale/fy/LC_MESSAGES/libmailimporter.mo
-share/locale/ga/LC_MESSAGES/libmailimporter.mo
-share/locale/gl/LC_MESSAGES/libmailimporter.mo
-share/locale/he/LC_MESSAGES/libmailimporter.mo
-share/locale/hi/LC_MESSAGES/libmailimporter.mo
-share/locale/hne/LC_MESSAGES/libmailimporter.mo
-share/locale/hr/LC_MESSAGES/libmailimporter.mo
-share/locale/hsb/LC_MESSAGES/libmailimporter.mo
-share/locale/hu/LC_MESSAGES/libmailimporter.mo
-share/locale/ia/LC_MESSAGES/libmailimporter.mo
-share/locale/ie/LC_MESSAGES/libmailimporter.mo
-share/locale/is/LC_MESSAGES/libmailimporter.mo
-share/locale/it/LC_MESSAGES/libmailimporter.mo
-share/locale/ja/LC_MESSAGES/libmailimporter.mo
-share/locale/ka/LC_MESSAGES/libmailimporter.mo
-share/locale/kk/LC_MESSAGES/libmailimporter.mo
-share/locale/km/LC_MESSAGES/libmailimporter.mo
-share/locale/ko/LC_MESSAGES/libmailimporter.mo
-share/locale/lt/LC_MESSAGES/libmailimporter.mo
-share/locale/lv/LC_MESSAGES/libmailimporter.mo
-share/locale/mai/LC_MESSAGES/libmailimporter.mo
-share/locale/mk/LC_MESSAGES/libmailimporter.mo
-share/locale/mr/LC_MESSAGES/libmailimporter.mo
-share/locale/ms/LC_MESSAGES/libmailimporter.mo
-share/locale/nb/LC_MESSAGES/libmailimporter.mo
-share/locale/nds/LC_MESSAGES/libmailimporter.mo
-share/locale/ne/LC_MESSAGES/libmailimporter.mo
-share/locale/nl/LC_MESSAGES/libmailimporter.mo
-share/locale/nn/LC_MESSAGES/libmailimporter.mo
-share/locale/pa/LC_MESSAGES/libmailimporter.mo
-share/locale/pl/LC_MESSAGES/libmailimporter.mo
-share/locale/pt/LC_MESSAGES/libmailimporter.mo
-share/locale/pt_BR/LC_MESSAGES/libmailimporter.mo
-share/locale/ro/LC_MESSAGES/libmailimporter.mo
-share/locale/ru/LC_MESSAGES/libmailimporter.mo
-share/locale/se/LC_MESSAGES/libmailimporter.mo
-share/locale/sk/LC_MESSAGES/libmailimporter.mo
-share/locale/sl/LC_MESSAGES/libmailimporter.mo
-share/locale/sq/LC_MESSAGES/libmailimporter.mo
-share/locale/sr/LC_MESSAGES/libmailimporter.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libmailimporter.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libmailimporter.mo
-share/locale/sr@latin/LC_MESSAGES/libmailimporter.mo
-share/locale/sv/LC_MESSAGES/libmailimporter.mo
-share/locale/ta/LC_MESSAGES/libmailimporter.mo
-share/locale/tg/LC_MESSAGES/libmailimporter.mo
-share/locale/th/LC_MESSAGES/libmailimporter.mo
-share/locale/tr/LC_MESSAGES/libmailimporter.mo
-share/locale/ug/LC_MESSAGES/libmailimporter.mo
-share/locale/uk/LC_MESSAGES/libmailimporter.mo
-share/locale/xh/LC_MESSAGES/libmailimporter.mo
-share/locale/zh_CN/LC_MESSAGES/libmailimporter.mo
-share/locale/zh_TW/LC_MESSAGES/libmailimporter.mo
-share/qlogging-categories5/mailimporter.categories
-share/qlogging-categories5/mailimporter.renamecategories
+include/KPim6/MailImporter/MailImporter/FilterBalsa
+include/KPim6/MailImporter/MailImporter/FilterClawsMail
+include/KPim6/MailImporter/MailImporter/FilterEvolution
+include/KPim6/MailImporter/MailImporter/FilterEvolution_v2
+include/KPim6/MailImporter/MailImporter/FilterEvolution_v3
+include/KPim6/MailImporter/MailImporter/FilterIcedove
+include/KPim6/MailImporter/MailImporter/FilterImporterBase
+include/KPim6/MailImporter/MailImporter/FilterInfo
+include/KPim6/MailImporter/MailImporter/FilterInfoGui
+include/KPim6/MailImporter/MailImporter/FilterKMailArchive
+include/KPim6/MailImporter/MailImporter/FilterKMail_maildir
+include/KPim6/MailImporter/MailImporter/FilterLNotes
+include/KPim6/MailImporter/MailImporter/FilterMBox
+include/KPim6/MailImporter/MailImporter/FilterMailApp
+include/KPim6/MailImporter/MailImporter/FilterMailmanGzip
+include/KPim6/MailImporter/MailImporter/FilterOE
+include/KPim6/MailImporter/MailImporter/FilterOpera
+include/KPim6/MailImporter/MailImporter/FilterPMail
+include/KPim6/MailImporter/MailImporter/FilterPlain
+include/KPim6/MailImporter/MailImporter/FilterSeaMonkey
+include/KPim6/MailImporter/MailImporter/FilterSylpheed
+include/KPim6/MailImporter/MailImporter/FilterTheBat
+include/KPim6/MailImporter/MailImporter/FilterThunderbird
+include/KPim6/MailImporter/MailImporter/Filters
+include/KPim6/MailImporter/MailImporter/ImportMailsWidget
+include/KPim6/MailImporter/MailImporter/MailImporter_Utils
+include/KPim6/MailImporter/MailImporter/MessageStatus
+include/KPim6/MailImporter/MailImporter/OtherMailerUtil
+include/KPim6/MailImporter/mailimporter/filterbalsa.h
+include/KPim6/MailImporter/mailimporter/filterclawsmail.h
+include/KPim6/MailImporter/mailimporter/filterevolution.h
+include/KPim6/MailImporter/mailimporter/filterevolution_v2.h
+include/KPim6/MailImporter/mailimporter/filterevolution_v3.h
+include/KPim6/MailImporter/mailimporter/filtericedove.h
+include/KPim6/MailImporter/mailimporter/filterimporterbase.h
+include/KPim6/MailImporter/mailimporter/filterinfo.h
+include/KPim6/MailImporter/mailimporter/filterinfogui.h
+include/KPim6/MailImporter/mailimporter/filterkmail_maildir.h
+include/KPim6/MailImporter/mailimporter/filterkmailarchive.h
+include/KPim6/MailImporter/mailimporter/filterlnotes.h
+include/KPim6/MailImporter/mailimporter/filtermailapp.h
+include/KPim6/MailImporter/mailimporter/filtermailmangzip.h
+include/KPim6/MailImporter/mailimporter/filtermbox.h
+include/KPim6/MailImporter/mailimporter/filteroe.h
+include/KPim6/MailImporter/mailimporter/filteropera.h
+include/KPim6/MailImporter/mailimporter/filterplain.h
+include/KPim6/MailImporter/mailimporter/filterpmail.h
+include/KPim6/MailImporter/mailimporter/filters.h
+include/KPim6/MailImporter/mailimporter/filterseamonkey.h
+include/KPim6/MailImporter/mailimporter/filtersylpheed.h
+include/KPim6/MailImporter/mailimporter/filterthebat.h
+include/KPim6/MailImporter/mailimporter/filterthunderbird.h
+include/KPim6/MailImporter/mailimporter/importmailswidget.h
+include/KPim6/MailImporter/mailimporter/mailimporter_export.h
+include/KPim6/MailImporter/mailimporter/mailimporter_utils.h
+include/KPim6/MailImporter/mailimporter/messagestatus.h
+include/KPim6/MailImporter/mailimporter/othermailerutil.h
+include/KPim6/MailImporter/mailimporter_version.h
+include/KPim6/MailImporterAkonadi/MailImporterAkonadi/FilterImporterAkonadi
+include/KPim6/MailImporterAkonadi/mailimporterakonadi/filterimporterakonadi.h
+include/KPim6/MailImporterAkonadi/mailimporterakonadi/mailimporterakonadi_export.h
+include/KPim6/MailImporterAkonadi/mailimporterakonadi_version.h
+lib/cmake/KPim6MailImporter/KPim6MailImporterConfig.cmake
+lib/cmake/KPim6MailImporter/KPim6MailImporterConfigVersion.cmake
+lib/cmake/KPim6MailImporter/KPim6MailImporterTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6MailImporter/KPim6MailImporterTargets.cmake
+lib/cmake/KPim6MailImporterAkonadi/KPim6MailImporterAkonadiConfig.cmake
+lib/cmake/KPim6MailImporterAkonadi/KPim6MailImporterAkonadiConfigVersion.cmake
+lib/cmake/KPim6MailImporterAkonadi/KPim6MailImporterAkonadiTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6MailImporterAkonadi/KPim6MailImporterAkonadiTargets.cmake
+lib/libKPim6MailImporter.so
+lib/libKPim6MailImporter.so.6
+lib/libKPim6MailImporter.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6MailImporterAkonadi.so
+lib/libKPim6MailImporterAkonadi.so.6
+lib/libKPim6MailImporterAkonadi.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/af/LC_MESSAGES/libmailimporter6.mo
+share/locale/ar/LC_MESSAGES/libmailimporter6.mo
+share/locale/ast/LC_MESSAGES/libmailimporter6.mo
+share/locale/be/LC_MESSAGES/libmailimporter6.mo
+share/locale/bg/LC_MESSAGES/libmailimporter6.mo
+share/locale/br/LC_MESSAGES/libmailimporter6.mo
+share/locale/bs/LC_MESSAGES/libmailimporter6.mo
+share/locale/ca/LC_MESSAGES/libmailimporter6.mo
+share/locale/ca@valencia/LC_MESSAGES/libmailimporter6.mo
+share/locale/cs/LC_MESSAGES/libmailimporter6.mo
+share/locale/cy/LC_MESSAGES/libmailimporter6.mo
+share/locale/da/LC_MESSAGES/libmailimporter6.mo
+share/locale/de/LC_MESSAGES/libmailimporter6.mo
+share/locale/el/LC_MESSAGES/libmailimporter6.mo
+share/locale/en_GB/LC_MESSAGES/libmailimporter6.mo
+share/locale/eo/LC_MESSAGES/libmailimporter6.mo
+share/locale/es/LC_MESSAGES/libmailimporter6.mo
+share/locale/et/LC_MESSAGES/libmailimporter6.mo
+share/locale/eu/LC_MESSAGES/libmailimporter6.mo
+share/locale/fa/LC_MESSAGES/libmailimporter6.mo
+share/locale/fi/LC_MESSAGES/libmailimporter6.mo
+share/locale/fr/LC_MESSAGES/libmailimporter6.mo
+share/locale/fy/LC_MESSAGES/libmailimporter6.mo
+share/locale/ga/LC_MESSAGES/libmailimporter6.mo
+share/locale/gl/LC_MESSAGES/libmailimporter6.mo
+share/locale/he/LC_MESSAGES/libmailimporter6.mo
+share/locale/hi/LC_MESSAGES/libmailimporter6.mo
+share/locale/hne/LC_MESSAGES/libmailimporter6.mo
+share/locale/hr/LC_MESSAGES/libmailimporter6.mo
+share/locale/hsb/LC_MESSAGES/libmailimporter6.mo
+share/locale/hu/LC_MESSAGES/libmailimporter6.mo
+share/locale/ia/LC_MESSAGES/libmailimporter6.mo
+share/locale/ie/LC_MESSAGES/libmailimporter6.mo
+share/locale/is/LC_MESSAGES/libmailimporter6.mo
+share/locale/it/LC_MESSAGES/libmailimporter6.mo
+share/locale/ja/LC_MESSAGES/libmailimporter6.mo
+share/locale/ka/LC_MESSAGES/libmailimporter6.mo
+share/locale/kk/LC_MESSAGES/libmailimporter6.mo
+share/locale/km/LC_MESSAGES/libmailimporter6.mo
+share/locale/ko/LC_MESSAGES/libmailimporter6.mo
+share/locale/lt/LC_MESSAGES/libmailimporter6.mo
+share/locale/lv/LC_MESSAGES/libmailimporter6.mo
+share/locale/mai/LC_MESSAGES/libmailimporter6.mo
+share/locale/mk/LC_MESSAGES/libmailimporter6.mo
+share/locale/mr/LC_MESSAGES/libmailimporter6.mo
+share/locale/ms/LC_MESSAGES/libmailimporter6.mo
+share/locale/nb/LC_MESSAGES/libmailimporter6.mo
+share/locale/nds/LC_MESSAGES/libmailimporter6.mo
+share/locale/ne/LC_MESSAGES/libmailimporter6.mo
+share/locale/nl/LC_MESSAGES/libmailimporter6.mo
+share/locale/nn/LC_MESSAGES/libmailimporter6.mo
+share/locale/pa/LC_MESSAGES/libmailimporter6.mo
+share/locale/pl/LC_MESSAGES/libmailimporter6.mo
+share/locale/pt/LC_MESSAGES/libmailimporter6.mo
+share/locale/pt_BR/LC_MESSAGES/libmailimporter6.mo
+share/locale/ro/LC_MESSAGES/libmailimporter6.mo
+share/locale/ru/LC_MESSAGES/libmailimporter6.mo
+share/locale/se/LC_MESSAGES/libmailimporter6.mo
+share/locale/sk/LC_MESSAGES/libmailimporter6.mo
+share/locale/sl/LC_MESSAGES/libmailimporter6.mo
+share/locale/sq/LC_MESSAGES/libmailimporter6.mo
+share/locale/sr/LC_MESSAGES/libmailimporter6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libmailimporter6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libmailimporter6.mo
+share/locale/sr@latin/LC_MESSAGES/libmailimporter6.mo
+share/locale/sv/LC_MESSAGES/libmailimporter6.mo
+share/locale/ta/LC_MESSAGES/libmailimporter6.mo
+share/locale/tg/LC_MESSAGES/libmailimporter6.mo
+share/locale/th/LC_MESSAGES/libmailimporter6.mo
+share/locale/tr/LC_MESSAGES/libmailimporter6.mo
+share/locale/ug/LC_MESSAGES/libmailimporter6.mo
+share/locale/uk/LC_MESSAGES/libmailimporter6.mo
+share/locale/xh/LC_MESSAGES/libmailimporter6.mo
+share/locale/zh_CN/LC_MESSAGES/libmailimporter6.mo
+share/locale/zh_TW/LC_MESSAGES/libmailimporter6.mo
+share/qlogging-categories6/mailimporter.categories
+share/qlogging-categories6/mailimporter.renamecategories
diff --git a/net/messagelib/Makefile b/net/messagelib/Makefile
index 372e6feeb139..2cd334a55ca4 100644
--- a/net/messagelib/Makefile
+++ b/net/messagelib/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	messagelib
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -14,24 +13,23 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib cpe gettext grantlee:5 kde:5 qca \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib cpe gettext kde:6 qca qt:6 tar:xz \
+		xorg
 CPE_VENDOR=	kde
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
-		coreaddons guiaddons i18n iconthemes imap itemmodels itemviews jobwidgets \
-		kio ktextaddons notifications service solid sonnet syntaxhighlighting \
-		textwidgets wallet widgetsaddons windowsystem xmlgui \
+		coreaddons guiaddons i18n iconthemes imap itemmodels itemviews \
+		jobwidgets kio ktextaddons notifications service solid sonnet \
+		syntaxhighlighting textwidgets wallet widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadimime akonadisearch calendarcore \
-		contacts grantleetheme gravatar identitymanagement \
-		ldap libkdepim libkleo mailtransport mbox \
-		mime pimcommon pimtextedit
-USE_QT=		concurrent core dbus declarative gui location network printsupport \
-		uitools webchannel webengine widgets xml \
-		buildtools:build qmake:build testlib:build
+		contacts grantleetheme gravatar identitymanagement ldap \
+		libkdepim libkleo mailtransport mbox mime pimcommon \
+		pimtextedit
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/messagelib/distinfo b/net/messagelib/distinfo
index 52c0889b1b04..e370153ec598 100644
--- a/net/messagelib/distinfo
+++ b/net/messagelib/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889476
-SHA256 (KDE/release-service/23.08.5/messagelib-23.08.5.tar.xz) = da37af29e9a1a8d5947cbdc7ccfbdd749d3ef5257e4cc778eb8f0069fe50ddf8
-SIZE (KDE/release-service/23.08.5/messagelib-23.08.5.tar.xz) = 11374208
+TIMESTAMP = 1734460339
+SHA256 (KDE/release-service/24.12.0/messagelib-24.12.0.tar.xz) = 9eff795b5e12d30ba33171442de3a3bd66772039f19214e55384e9596fc82ff6
+SIZE (KDE/release-service/24.12.0/messagelib-24.12.0.tar.xz) = 7418952
